/* $Id: 68875.h,v 1.2 1998/11/02 04:38:35 brian Exp $
******************************************************************************

   ATI 68875 companion chipset -- register definitions and macros

   Copyright (C) 1998		Brian S. Julin	[bri@forcade.calyx.com]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#define ATI68875_CNTL 0x08
	#define ATI68875_CNTL_H_SYNC_POL	0x01
	#define ATI68875_CNTL_V_SYNC_POL	0x02
	#define ATI68875_CNTL_SHIFT_VRAM	0x04
	#define ATI68875_CNTL_NIBBLE_MODE	0x08
	#define ATI68875_CNTL_PEDESTAL_ENBL	0x10
	#define ATI68875_CNTL_SYNC_GREEN	0x20
	#define ATI68875_CNTL_MUXOUT		0x80

#define ATI68875_IN_CLKSEL 0x09
	#define ATI68875_IN_CLKSEL_MASK		0x0f
	#define ATI68875_IN_CLKSEL_CLK1		0x00
	#define ATI68875_IN_CLKSEL_CLK2		0x01
	#define ATI68875_IN_CLKSEL_CLK3		0x02
	#define ATI68875_IN_CLKSEL_CLK3_INV	0x03
	#define ATI68875_IN_CLKSEL_CLK3_ECL	0x08

#define ATI68875_OUTPUT_CLKSEL 0x0a
	#define ATI68875_OUT_CLKSEL_SCLK_MASK	0x07
	#define ATI68875_OUT_CLKSEL_SCLK_DIV1	0x00
	#define ATI68875_OUT_CLKSEL_SCLK_DIV2	0x01
	#define ATI68875_OUT_CLKSEL_SCLK_DIV4	0x02
	#define ATI68875_OUT_CLKSEL_SCLK_DIV8	0x03
	#define ATI68875_OUT_CLKSEL_SCLK_DIV16	0x04
	#define ATI68875_OUT_CLKSEL_SCLK_DIV32	0x05
	#define ATI68875_OUT_CLKSEL_SCLK_LO	0x07
	#define ATI68875_OUT_CLKSEL_VCLK_MASK	0x31
	#define ATI68875_OUT_CLKSEL_VCLK_DIV1	0x00
	#define ATI68875_OUT_CLKSEL_VCLK_DIV2	0x08
	#define ATI68875_OUT_CLKSEL_VCLK_DIV4	0x10
	#define ATI68875_OUT_CLKSEL_VCLK_DIV8	0x18
	#define ATI68875_OUT_CLKSEL_VCLK_DIV16	0x20
	#define ATI68875_OUT_CLKSEL_VCLK_DIV32	0x28
	#define ATI68875_OUT_CLKSEL_VCLK_HI	0x38

#define ATI68875_MUX_CNTL 0X0b
	#define ATI68875_MUX_CNTL_MASK		0x3f
	#define ATI68875_MUX_CNTL_1X24BPP	0x0d
	#define ATI68875_MUX_CNTL_4X1BPP	0x10
	#define ATI68875_MUX_CNTL_8X1BPP	0x11
	#define ATI68875_MUX_CNTL_16X1BPP	0x12
	#define ATI68875_MUX_CNTL_32X1BPP	0x13
	#define ATI68875_MUX_CNTL_2X2BPP	0x14
	#define ATI68875_MUX_CNTL_4X2BPP	0x15
	#define ATI68875_MUX_CNTL_8X2BPP	0x16
	#define ATI68875_MUX_CNTL_16X2BPP	0x17
	#define ATI68875_MUX_CNTL_1X4BPP	0x18
	#define ATI68875_MUX_CNTL_2X4BPP	0x19
	#define ATI68875_MUX_CNTL_4X4BPP	0x1a
	#define ATI68875_MUX_CNTL_8X4BPP	0x1b
	#define ATI68875_MUX_CNTL_1X8BPP	0x1c
	#define ATI68875_MUX_CNTL_2X8BPP	0x1d
	#define ATI68875_MUX_CNTL_4X8BPP	0x1e
	#define ATI68875_MUX_CNTL_4X4BPP_NIBBLE	0x1f
	#define ATI68875_MUX_CNTL_VGA_8BPP	0x2D

#define ATI68875_PALETTE_PAGE 0x0c

#define ATI68875_TEST 0x0e
	#define ATI68875_TEST_MODE_MASK		0x07
	#define ATI68875_TEST_MODE_READ_R	0x00
	#define ATI68875_TEST_MODE_READ_G	0x01
	#define ATI68875_TEST_MODE_READ_B	0x02
	#define ATI68875_TEST_MODE_READ_ID	0x03
		#define ATI68875_TEST_MODE_ID_IS_TLC34075 0x75
	#define ATI68875_TEST_MODE_ACCUM_R	0x04
	#define ATI68875_TEST_MODE_ACCUM_G	0x05
	#define ATI68875_TEST_MODE_ACCUM_B	0x06
	#define ATI68875_TEST_MODE_ANALOG	0x07
	#define ATI68875_TEST_RESULT_ANALOG	0x08
	#define ATI68875_TEST_VREF		0x10
	#define ATI68875_TEST_DAC_B		0x20
	#define ATI68875_TEST_VREF_G		0x40
	#define ATI68875_TEST_VREF_R		0x80

#define ATI68875_RESET 0x0f
